/***************************************************************************
                          ProgressDialog.h  -  description
                             -------------------
    begin                : Die Mai 15 15:34:19 CEST 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROGRESSDIALOG_H
#define PROGRESSDIALOG_H

#include <qwidget.h>
#include <kurl.h>

class KRenameImpl;
class KListView;
class KPushButton;
class QProgressBar;
class QStringList;
class QStrList;
class QString;
class QHBoxLayout;
class QVBoxLayout;
class ProgressDialog : public QWidget
{ 
    Q_OBJECT
    public:
        ProgressDialog( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
        ~ProgressDialog();

        void setProgressTotalSteps( int t );
        void setProgress( int p );

        bool wasCancelled() const { return m_canceled; }

        void setDestination( KURL dir ) {
            m_dest = dir;
        }

        void setRenamedFiles( KURL::List* list ) {
            renamedFiles = list;
        }

        void setAllRenamedFiles( KURL::List* list ) {
            allRenamedFiles = list;
        }
        
        void done();
        void print( QString text, QString pixmap = 0 );
        void error( QString text );
        void warning( QString text );

    public slots:
        void show();
        
    private slots:
        void quitAll();
        void restart();
        void again();
        void unAgain();
        void allAgain();
        void openDest();
        void canceled();

    private:
        QString count();

    protected:
        KURL::List* renamedFiles;
        KURL::List* allRenamedFiles;
        KURL m_dest;
        int m_count;
        bool m_canceled;

        KListView* display;
        KPushButton* buttonClose;
        KPushButton* buttonRestart;
        KPushButton* buttonOpenDest;
        KPushButton* buttonCancel;

        QProgressBar* bar;

        QVBoxLayout* ProgressDialogLayout;
        QHBoxLayout* Layout1;
};

#endif // PROGRESSDIALOG_H
