/***************************************************************************
                  dsdirselectdialog.cpp  -  description
                             -------------------
    begin                : Sat Jan 03 2004
    copyright            : (C) 2004 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dsdirselectdialog.h"

// Qt includes
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qvbox.h>

// KDE includes
#include <kcombobox.h>
#include <klocale.h>

DSDirSelectDialog::DSDirSelectDialog( int mode, QString lastpath, QWidget* parent )
        : KDirSelectDialog( lastpath, false, parent ) {
    QVBox* vbox = new QVBox( mainWidget() );
    m_mainLayout->addWidget( vbox );

    QHBox* hbox = new QHBox( vbox );

    label = new QLabel( i18n("&Filter:"), hbox );
    mfilter = new KComboBox( true, hbox );

    hbox->setStretchFactor( mfilter, 2 );
    hbox->setSpacing( 2 );

    label->setBuddy( mfilter );
    mfilter->setCurrentText( "*" );

    checkDir = new QCheckBox( i18n("Add directory names &with filenames"), vbox );
    if( mode == MODE_DIRS ) {
        checkDir->hide();
        hbox->hide();
    }

    check = new QCheckBox( i18n("Add sub directories &recursively"), vbox );
    checkHidden = new QCheckBox( i18n("Add &hidden directories"), vbox );
    connect( check, SIGNAL( clicked() ), this, SLOT( enableControls() ));

    QToolTip::add( checkHidden, i18n("If not checked, KRename will ignore directories starting with a dot during recursive adding.") );

    enableControls();
}

bool DSDirSelectDialog::recursively() const
{
    return check->isChecked();
}

bool DSDirSelectDialog::hidden() const
{
    return checkHidden->isChecked();
}

bool DSDirSelectDialog::dirs() const
{
    return checkDir->isChecked();
}

void DSDirSelectDialog::setRecursively( bool b )
{
    check->setChecked( b );
}

QString DSDirSelectDialog::filter() const
{
    return mfilter->currentText();
}

void DSDirSelectDialog::enableControls()
{
    checkHidden->setEnabled( check->isChecked() );
}

#include "dsdirselectdialog.moc"
