/***************************************************************************
                        simplefilenamedlg.h  -  description
                             -------------------
    begin                : Fri Apr 09 2004
    copyright            : (C) 2003 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMPLEFILENAMEDLG_H
#define SIMPLEFILENAMEDLG_H

#include <kdialogbase.h>

class KRenameImpl;
class KIntNumInput;
class KMyHistoryCombo;
class KComboBox;
class QRadioButton;

/**
Allow the user to create a filename easily using the GUI.

@author Dominik Seichter
*/

class SimpleFilenameDlg : public KDialogBase
{
    Q_OBJECT
    public:
        SimpleFilenameDlg(KRenameImpl* krename,QWidget *parent = 0, const char *name = 0);
        ~SimpleFilenameDlg();
    
    signals:
        void newTemplate( const QString & );
    
    private:
        void parse();
        void enableControls();
        
    private slots:
        void changed();
        
    protected:
        KRenameImpl* m_krename;
        
        KComboBox* comboKRenamePrefix;
        KComboBox* comboKRenameSuffix;
        KMyHistoryCombo* comboPrefix;
        KMyHistoryCombo* comboSuffix;        
        KMyHistoryCombo* comboCustom;        
        
        QRadioButton* radioName;
        QRadioButton* radioLower;
        QRadioButton* radioUpper;
        QRadioButton* radioFirst;
        QRadioButton* radioCustom;
        
        KIntNumInput* spinStart;
        KIntNumInput* spinNull;        
};

#endif
